---
- include: ../shared/create_mount.yml
  vars:
    create_mount_path: "{{ item.name }}"
    create_mount_default_lease_ttl: "{{ item.default_lease_ttl }}"
    create_mount_max_lease_ttl: "{{ item.max_lease_ttl }}"
    create_mount_description: "{{ item.description }}"
    create_mount_cert_dir: "{{ item.cert_dir }}"
    create_mount_config_ca_needed: "{{ item.name != vault_pki_mounts.kube.name }}"
  with_items:
    - "{{ vault_pki_mounts.vault }}"
    - "{{ vault_pki_mounts.etcd }}"
    - "{{ vault_pki_mounts.kube }}"
